Chromium Code Reviews
Help | Chromium Project | Sign in
(499)

Issue 11198048: [Autofill] Update the autocomplete types implementation to match the current HTML spec. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 6 months ago by Ilya Sherman
Modified:
1 year, 5 months ago
CC:
chromium-reviews_chromium.org, dhollowa+watch_chromium.org, Ilya Sherman, browser-components-watch_chromium.org, dyu1, darin-cc_chromium.org
Visibility:
Public.

Description

[Autofill] Update the autocomplete types implementation to match the current HTML spec.

The spec is currently hosted at http://www.whatwg.org/specs/web-apps/current-work/multipage/association-of-controls-and-forms.html#autofilling-form-controls:-the-autocomplete-attribute

Also changes the data type of FormFieldData::autocomplete_attribute and FormFieldData::form_control_type to std::string.

BUG=156508, 156633
Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=163764

Patch Set 1 #

Total comments: 42

Patch Set 2 : Cleaner code & tests #

Total comments: 3

Patch Set 3 : Fix a test expectation #

Total comments: 23

Patch Set 4 : string16 -> std::string and other fixes + cleanup #

Total comments: 2

Patch Set 5 : Fixes to default section handling #

Total comments: 4

Patch Set 6 : Actually drop pagers #

Patch Set 7 : Re-upload? #

Patch Set 8 : Rebase #

Patch Set 9 : Update AutofillFieldTest expectations #

Unified diffs Side-by-side diffs Delta from patch set Stats (+985 lines, -642 lines) Lint Patch
M chrome/browser/autofill/address_field_unittest.cc View 1 2 3 12 chunks +12 lines, -12 lines 0 comments ? errors Download
M chrome/browser/autofill/autocomplete_history_manager.cc View 1 2 3 4 1 chunk +6 lines, -6 lines 0 comments 0 errors Download
M chrome/browser/autofill/autocomplete_history_manager_unittest.cc View 1 2 3 4 5 6 7 4 chunks +4 lines, -4 lines 0 comments ? errors Download
M chrome/browser/autofill/autofill_common_test.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments ? errors Download
M chrome/browser/autofill/autofill_download_unittest.cc View 1 2 3 4 chunks +13 lines, -13 lines 0 comments ? errors Download
M chrome/browser/autofill/autofill_field.h View 1 2 3 2 chunks +3 lines, -3 lines 0 comments ? errors Download
M chrome/browser/autofill/autofill_field.cc View 1 2 3 1 chunk +1 line, -2 lines 0 comments ? errors Download
M chrome/browser/autofill/autofill_field_unittest.cc View 1 2 3 4 5 6 7 8 2 chunks +5 lines, -5 lines 0 comments 0 errors Download
M chrome/browser/autofill/autofill_manager.cc View 1 2 3 4 3 chunks +4 lines, -4 lines 0 comments 0 errors Download
M chrome/browser/autofill/autofill_manager_unittest.cc View 1 2 3 4 5 6 7 5 chunks +21 lines, -21 lines 0 comments ? errors Download
M chrome/browser/autofill/autofill_merge_unittest.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments ? errors Download
M chrome/browser/autofill/credit_card_field_unittest.cc View 1 2 3 9 chunks +9 lines, -9 lines 0 comments ? errors Download
M chrome/browser/autofill/form_field.cc View 1 2 3 1 chunk +8 lines, -8 lines 0 comments ? errors Download
M chrome/browser/autofill/form_structure.h View 1 1 chunk +9 lines, -7 lines 0 comments ? errors Download
M chrome/browser/autofill/form_structure.cc View 1 2 3 4 5 8 chunks +208 lines, -141 lines 0 comments 0 errors Download
M chrome/browser/autofill/form_structure_unittest.cc View 1 2 3 4 42 chunks +204 lines, -150 lines 0 comments ? errors Download
M chrome/browser/autofill/name_field_unittest.cc View 1 2 3 10 chunks +10 lines, -10 lines 0 comments ? errors Download
M chrome/browser/autofill/phone_field_unittest.cc View 1 2 3 6 chunks +6 lines, -6 lines 0 comments 0 errors Download
M chrome/browser/autofill/select_control_handler.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments ? errors Download
M chrome/browser/autofill/select_control_handler_unittest.cc View 1 2 3 10 chunks +10 lines, -10 lines 0 comments ? errors Download
M chrome/common/autofill_messages.h View 1 2 3 4 5 6 7 1 chunk +1 line, -1 line 0 comments ? errors Download
M chrome/common/form_field_data.h View 1 2 3 2 chunks +3 lines, -3 lines 0 comments ? errors Download
M chrome/common/form_field_data.cc View 1 2 3 2 chunks +3 lines, -3 lines 0 comments ? errors Download
M chrome/renderer/autofill/autofill_renderer_browsertest.cc View 1 2 3 2 chunks +9 lines, -7 lines 0 comments ? errors Download
M chrome/renderer/autofill/form_autofill_browsertest.cc View 1 2 3 34 chunks +107 lines, -143 lines 0 comments ? errors Download
M chrome/renderer/autofill/form_autofill_util.cc View 1 2 3 1 chunk +5 lines, -5 lines 0 comments ? errors Download
A chrome/test/data/autofill/heuristics/input/01_autocomplete_attribute_advanced.html View 1 2 3 1 chunk +33 lines, -0 lines 0 comments ? errors Download
A chrome/test/data/autofill/heuristics/input/01_autocomplete_attribute_basic.html View 1 chunk +52 lines, -0 lines 0 comments ? errors Download
A chrome/test/data/autofill/heuristics/input/01_autocomplete_attribute_invalid.html View 1 1 chunk +86 lines, -0 lines 0 comments ? errors Download
A chrome/test/data/autofill/heuristics/input/01_autocomplete_attribute_malicious.html View 1 chunk +7 lines, -0 lines 0 comments ? errors Download
D chrome/test/data/autofill/heuristics/input/01_autocompletetype_attribute.html View 1 chunk +0 lines, -34 lines 0 comments ? errors Download
A chrome/test/data/autofill/heuristics/output/01_autocomplete_attribute_advanced.out View 1 chunk +17 lines, -0 lines 0 comments ? errors Download
A chrome/test/data/autofill/heuristics/output/01_autocomplete_attribute_basic.out View 1 chunk +47 lines, -0 lines 0 comments ? errors Download
A chrome/test/data/autofill/heuristics/output/01_autocomplete_attribute_invalid.out View 1 1 chunk +75 lines, -0 lines 0 comments ? errors Download
A chrome/test/data/autofill/heuristics/output/01_autocomplete_attribute_malicious.out View 1 chunk +4 lines, -0 lines 0 comments ? errors Download
D chrome/test/data/autofill/heuristics/output/01_autocompletetype_attribute.out View 1 chunk +0 lines, -32 lines 0 comments ? errors Download
Commit:

Messages

Total messages: 30
Ilya Sherman
Dan, you get to dive in as an Autofill reviewer! (Let me know if you'd ...
1 year, 6 months ago #1
Dan Beam
will review tomorrow morning
1 year, 6 months ago #2
Dan Beam
https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc#newcode90 chrome/browser/autofill/form_structure.cc:90: // http://www.whatwg.org/specs/web-apps/current-work/multipage/association-of-controls-and-forms.html#autofilling-form-controls:-the-autocomplete-attribute nit: it might be useful to URL ...
1 year, 6 months ago #3
Ilya Sherman
https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc#newcode90 chrome/browser/autofill/form_structure.cc:90: // http://www.whatwg.org/specs/web-apps/current-work/multipage/association-of-controls-and-forms.html#autofilling-form-controls:-the-autocomplete-attribute On 2012/10/19 00:12:44, Dan Beam wrote: > ...
1 year, 6 months ago #4
Dan Beam
https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc#newcode153 chrome/browser/autofill/form_structure.cc:153: if (autocomplete_type == ASCIIToUTF16("organization")) On 2012/10/19 04:19:32, Ilya Sherman ...
1 year, 6 months ago #5
Ilya Sherman
https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc#newcode166 chrome/browser/autofill/form_structure.cc:166: if (autocomplete_type == ASCIIToUTF16("region")) On 2012/10/19 04:25:41, Dan Beam ...
1 year, 6 months ago #6
Dan Beam
lg to me, estade wanted to take a look too, also I'm not an OWNER
1 year, 6 months ago #7
Evan Stade
http://codereview.chromium.org/11198048/diff/4004/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): http://codereview.chromium.org/11198048/diff/4004/chrome/browser/autofill/form_structure.cc#newcode94 chrome/browser/autofill/form_structure.cc:94: token == ASCIIToUTF16("home") || use LowerCaseEqualsASCII (here and many ...
1 year, 6 months ago #8
Evan Stade
(I mostly wanted to review this code to become more familiar with it. Hope you ...
1 year, 6 months ago #9
Evan Stade
http://codereview.chromium.org/11198048/diff/4004/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): http://codereview.chromium.org/11198048/diff/4004/chrome/browser/autofill/form_structure.cc#newcode94 chrome/browser/autofill/form_structure.cc:94: token == ASCIIToUTF16("home") || On 2012/10/19 20:36:47, Evan Stade ...
1 year, 6 months ago #10
Evan Stade
http://codereview.chromium.org/11198048/diff/4004/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): http://codereview.chromium.org/11198048/diff/4004/chrome/browser/autofill/form_structure.cc#newcode940 chrome/browser/autofill/form_structure.cc:940: // "section--shipping street-address" and "shipping street-address" would On 2012/10/19 ...
1 year, 6 months ago #11
Evan Stade
http://codereview.chromium.org/11198048/diff/4004/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): http://codereview.chromium.org/11198048/diff/4004/chrome/browser/autofill/form_structure.cc#newcode904 chrome/browser/autofill/form_structure.cc:904: Tokenize(autocomplete_attribute, ASCIIToUTF16(" "), &tokens); should this include other space ...
1 year, 6 months ago #12
Ilya Sherman
On 2012/10/19 20:37:25, Evan Stade wrote: > (I mostly wanted to review this code to ...
1 year, 6 months ago #13
Evan Stade
http://codereview.chromium.org/11198048/diff/14003/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): http://codereview.chromium.org/11198048/diff/14003/chrome/browser/autofill/form_structure.cc#newcode959 chrome/browser/autofill/form_structure.cc:959: if (!section.empty()) { is it even possible for section ...
1 year, 5 months ago #14
Ilya Sherman
https://chromiumcodereview.appspot.com/11198048/diff/14003/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): https://chromiumcodereview.appspot.com/11198048/diff/14003/chrome/browser/autofill/form_structure.cc#newcode959 chrome/browser/autofill/form_structure.cc:959: if (!section.empty()) { On 2012/10/22 18:28:27, Evan Stade wrote: ...
1 year, 5 months ago #15
Evan Stade
lgtm
1 year, 5 months ago #16
Dan Beam
lgtm https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc#newcode94 chrome/browser/autofill/form_structure.cc:94: return On 2012/10/19 04:19:32, Ilya Sherman wrote: > ...
1 year, 5 months ago #17
Ilya Sherman
https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc File chrome/browser/autofill/form_structure.cc (right): https://chromiumcodereview.appspot.com/11198048/diff/1/chrome/browser/autofill/form_structure.cc#newcode94 chrome/browser/autofill/form_structure.cc:94: return On 2012/10/23 00:28:59, Dan Beam wrote: > On ...
1 year, 5 months ago #18
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/isherman@chromium.org/11198048/23043
1 year, 5 months ago #19
I haz the power (commit-bot)
Presubmit check for 11198048-23043 failed and returned exit status 1. Running presubmit commit checks ...
1 year, 5 months ago #20
Ilya Sherman
Nico, can you wave your wand of chrome/ OWNERship?
1 year, 5 months ago #21
Nico (ooo Apr 18 - Apr 20)
lgtm
1 year, 5 months ago #22
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/isherman@chromium.org/11198048/23043
1 year, 5 months ago #23
I haz the power (commit-bot)
Retried try job too often for step(s) unit_tests
1 year, 5 months ago #24
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/isherman@chromium.org/11198048/19038
1 year, 5 months ago #25
I haz the power (commit-bot)
Step "update" is always a major failure. Look at the try server FAQ for more ...
1 year, 5 months ago #26
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/isherman@chromium.org/11198048/40001
1 year, 5 months ago #27
I haz the power (commit-bot)
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
1 year, 5 months ago #28
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/isherman@chromium.org/11198048/40001
1 year, 5 months ago #29
I haz the power (commit-bot)
1 year, 5 months ago #30
Change committed as 163764
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1280:2d3e6564b7b6